Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.bsf
[Java] Class CachingGroovyEngine

    java.lang.Object
      org.apache.bsf.util.BSFEngineImpl
          org.codehaus.groovy.bsf.GroovyEngine
              org.codehaus.groovy.bsf.CachingGroovyEngine

    public class CachingGroovyEngine
    extends GroovyEngine

A Caching implementation of the GroovyEngine

Authors:
  James Birchfield

Field Summary

Fields inherited from class GroovyEngine
shell

Method Summary
`Object` | `eval(String source, int lineNo, int columnNo, Object script)` Evaluate an expression.
`void` | `exec(String source, int lineNo, int columnNo, Object script)` Execute a script.
`void` | `initialize(org.apache.bsf.BSFManager mgr, String lang, Vector declaredBeans)` Initialize the engine.

Methods inherited from class GroovyEngine
apply, call, declareBean, eval, exec, getEvalShell, initialize, undeclareBean

Methods inherited from class org.apache.bsf.util.BSFEngineImpl
org.apache.bsf.util.BSFEngineImpl#initialize(org.apache.bsf.BSFManager, java.lang.String, java.util.Vector), org.apache.bsf.util.BSFEngineImpl#exec(java.lang.String, int, int, java.lang.Object), org.apache.bsf.util.BSFEngineImpl#propertyChange(java.beans.PropertyChangeEvent), org.apache.bsf.util.BSFEngineImpl#apply(java.lang.String, int, int, java.lang.Object, java.util.Vector, java.util.Vector), org.apache.bsf.util.BSFEngineImpl#compileApply(java.lang.String, int, int, java.lang.Object, java.util.Vector, java.util.Vector, org.apache.bsf.util.CodeBuffer), org.apache.bsf.util.BSFEngineImpl#compileExpr(java.lang.String, int, int, java.lang.Object, org.apache.bsf.util.CodeBuffer), org.apache.bsf.util.BSFEngineImpl#compileScript(java.lang.String, int, int, java.lang.Object, org.apache.bsf.util.CodeBuffer), org.apache.bsf.util.BSFEngineImpl#declareBean(org.apache.bsf.BSFDeclaredBean), org.apache.bsf.util.BSFEngineImpl#iexec(java.lang.String, int, int, java.lang.Object), org.apache.bsf.util.BSFEngineImpl#terminate(), org.apache.bsf.util.BSFEngineImpl#undeclareBean(org.apache.bsf.BSFDeclaredBean), org.apache.bsf.util.BSFEngineImpl#wait(long), org.apache.bsf.util.BSFEngineImpl#wait(long, int), org.apache.bsf.util.BSFEngineImpl#wait(), org.apache.bsf.util.BSFEngineImpl#equals(java.lang.Object), org.apache.bsf.util.BSFEngineImpl#toString(), org.apache.bsf.util.BSFEngineImpl#hashCode(), org.apache.bsf.util.BSFEngineImpl#getClass(), org.apache.bsf.util.BSFEngineImpl#notify(), org.apache.bsf.util.BSFEngineImpl#notifyAll(), org.apache.bsf.util.BSFEngineImpl#eval(java.lang.String, int, int, java.lang.Object), org.apache.bsf.util.BSFEngineImpl#call(java.lang.Object, java.lang.String, [Ljava.lang.Object;)

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### eval

    public Object eval(String source, int lineNo, int columnNo, Object script)

  Evaluate an expression.

### exec

    public void exec(String source, int lineNo, int columnNo, Object script)

  Execute a script.

### initialize

    public void initialize(org.apache.bsf.BSFManager mgr, String lang, Vector declaredBeans)

  Initialize the engine.

Copyright © 2003-2010 The Codehaus. All rights reserved.